/* SPDX-License-Identifier: LGPL-2.1-or-later */

#include "bus-common-errors.h"
#include "bus-polkit.h"
#include "oomd-manager.h"
#include "webos-manager-bus.h"

static const sd_bus_vtable webos_manager_vtable[] = {
        SD_BUS_VTABLE_START(0),
        SD_BUS_SIGNAL_WITH_NAMES("MemoryPressured",
                                 "u",
                                 SD_BUS_PARAM(Above),
				 0),
        SD_BUS_VTABLE_END
};

const BusObjectImplementation webos_manager_object = { 
        "/com/webos/MemoryManager1",
        "com.webos.MemoryManager1",
        .vtables = BUS_VTABLES(webos_manager_vtable),
};

int send_signal_pressure(Manager *m,int type)
{
    return sd_bus_emit_signal(m->bus,
                       "/com/webos/MemoryManager1",
                       "com.webos.MemoryManager1",
                       "MemoryPressured",
                       "u", type);
}

